githubEdit

BalanceOf

get

Retrieves the balance of a specified ERC20 token for a given account.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The address of the account to retrieve the balance for.
Query parameters
chainIdstringRequired
  • The ID of the blockchain network.
addressstringRequired
  • The address of the ERC20 token contract.
Header parameters
AuthorizationstringRequired
  • The authorization token for accessing the ERC20 instance.
Responses
chevron-right
200

A promise that resolves to an ERC20APIResponse containing the balance as a string.

application/json

Interface representing the structure of an API response for ERC20 operations.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

datastringOptional

Optional data payload returned by the API.

get
/erc20/{account}/balanceOf
200

A promise that resolves to an ERC20APIResponse containing the balance as a string.